Bug 161807 - CAN-2005-1841 temporary file disclosure flaw
CAN-2005-1841 temporary file disclosure flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: acroread (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-27 11:10 EDT by Mark J. Cox
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2005-575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-08 15:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:575 normal SHIPPED_LIVE Critical: Adobe Acrobat Reader security update 2005-07-08 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2005-06-27 11:10:10 EDT
Copy of bug for RHEL3 extras distribution

+++ This bug was initially created as a clone of Bug #160649 +++

Secunia contacted secalert@redhat.com about a temporary file flaw in Adobe
Acrobat Reader which lets you view other users pdf files.

"Under certain circumstances, it creates temporary files of opened documents
insecurely in /tmp with permissions based on the user's umask."

This issue is fixed in 7.0

Currently embargoed, date to be determined by Secunia

Also affects RHEL3 Extras
Comment 1 Dan Williams 2005-06-27 11:12:09 EDT
Add to RHEL3 U6 Proposed
Comment 2 Dan Williams 2005-06-27 11:42:24 EDT
devel acked, binaries are in:

/mnt/redhat/beehive/comps/dist/3.0E-qu-candidate/acroread/7.0.0-1.1.0.EL3
Comment 4 Mark J. Cox 2005-07-07 11:49:44 EDT
public, removing embargo, now part of async update
Comment 5 Red Hat Bugzilla 2005-07-08 15:40:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-575.html

Note You need to log in before you can comment on or make changes to this bug.